Quantum ESPRESSO 6.4 and EPW 5.1

General discussion around the EPW software

Moderator: hlee

sponce
Site Admin
Posts: 598
Joined: Wed Jan 13, 2016 7:25 pm
Affiliation: EPFL

Quantum ESPRESSO 6.4 and EPW 5.1

Post by sponce »

Dear all,

The new version of QE 6.4 and EPW 5.1 have been released. You can find information on how to install it at http://epw.org.uk/Main/DownloadAndInstall

New development in EPW 5.1 includes:
* Support for USPP
* Improvements to the cumulant spectral functions (computed with both convolution and FFT)
* New Wigner-Seitz cell construction
* Speed and memory optimizations for mobility calculations
* k-point symmetry support for homogeneous BTE
* Linear mixing with BTE
* Introduction of a "qwindow" to reduce the required number of q-points to be calculated
* Load balancing on active k-points among cores.
* Indirect absorption corrections while reading external eigenvalues
* Optimizations in the case of ultra-dense grids
* Exact velocity calculations with vme (read .bvec from new w90)
* Various modularization of the code.
* Removed input variables:
- time_max
* New input variables:
- use_ws
- vme variable now working

Important notice: the examples in EPW/examples/ refer to the examples for the tutorials (see EPW website). Those examples are not always up to date as they are not tested automatically.
Therefore I strongly recommand to use the examples provide in the QE/test-suite/epw_*
Those examples are automatically tested and should therefore always be working with the current version and a benchmark reference is provided.

Known issue: There is a problem with the EPW/bin/pp.py to convert the dyn files from text to .xml.
Therefore if you make a phonon calculation with SOC, make sure to put .xml in the input of the phonon code like:
fildyn = 'si.dyn.xml',

This will force the phonon code to produce .xml files.

Happy EPWing !
Dr. Samuel Poncé
Institute of Materials
École Polytechnique Fédérale de Lausanne (EPFL)
Switzerland
Web: https://www.samuelponce.com

ilias-serifi
Posts: 51
Joined: Mon Dec 17, 2018 12:43 pm
Affiliation:

Re: Quantum ESPRESSO 6.4 and EPW 5.1

Post by ilias-serifi »

Hello Sir
i get a problem on the install of the newest version

Code: Select all

All done. ERROR: only 72 out of 73 tests passed.
Failed test in:
   /home/lphe-ms/qe_release_6.4/test-suite/epw_mob_ibte_sym/
Makefile:71: la recette pour la cible run-tests-epw-parallel a choue
make: *** [run-tests-epw-parallel] Erreur 1



and when i run the epw i get

Code: Select all

Parallel version (MPI), running on     4 processors

     MPI processes distributed on     1 nodes
     K-points division:     npool     =       4

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
     Error in routine epw_readin (5010):
     reading input_epw namelist
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

     stopping ...
application called MPI_Abort(MPI_COMM_WORLD, 1) - process 0



such i can run the same input on the old version and i didn't have any problem


Best Regard

hpaudya1
Posts: 89
Joined: Tue Mar 21, 2017 7:11 pm
Affiliation:

Re: Quantum ESPRESSO 6.4 and EPW 5.1

Post by hpaudya1 »

Hi,

This looks like a problem in running the code. Your input file is not correct for the new version of the code. If you have used the same input (which runs fine) from the old version, you may have a input flag that exists in the old version and which may not exist in the new version. For example, If I remember correctly, parallel_q does not exist in the new version.

Best,
Hari Paudyal
SUNY-Binghamton

ilias-serifi
Posts: 51
Joined: Mon Dec 17, 2018 12:43 pm
Affiliation:

Re: Quantum ESPRESSO 6.4 and EPW 5.1

Post by ilias-serifi »

Hi


Thanks a lot it's working well now

Best Regards

Muhammad Talha
Posts: 6
Joined: Fri Oct 18, 2019 10:11 am
Affiliation:

Re: Quantum ESPRESSO 6.4 and EPW 5.1

Post by Muhammad Talha »

Hi ,
after

Code: Select all

tar -xvf qe-6.4_release_pack.tgz && cd qe_release_6.4 && ./configure

i got this error
gzip: stdin: unexpected end of file
tar: Unexpected EOF in archive
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now

regards
muhammad talha

Sylvester10
Posts: 8
Joined: Sat Jul 18, 2020 9:35 pm
Affiliation: Kenyatta University

Re: Quantum ESPRESSO 6.4 and EPW 5.1

Post by Sylvester10 »

I am trying to compile epw but I get this error when i run $make, Kindly assist

=====================================================
gzip: ../archive/v3.1.0: unexpected end of file
tar: Unexpected EOF in archive
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now
*** Unable to download https://codeload.github.com/wannier-dev ... .gz/v3.1.0.
*** Verify that the url is correct.
make[3]: *** [plugins_makefile:96: uncompress-w90] Error 1
make[3]: Leaving directory '/home/syl2/Applications/q-e-qe-6.6/install'
make[2]: *** [Makefile:250: w90] Error 1
make[2]: Leaving directory '/home/syl2/Applications/q-e-qe-6.6'
make[2]: Entering directory '/home/syl2/Applications/q-e-qe-6.6/wannier90-3.1.0'
mkdir: cannot create directory ‘src/obj’: No such file or directory
make[2]: *** [Makefile:211: objdir] Error 1
make[2]: Leaving directory '/home/syl2/Applications/q-e-qe-6.6/wannier90-3.1.0'
make[1]: *** [Makefile:108: wannier] Error 2
make[1]: Leaving directory '/home/syl2/Applications/q-e-qe-6.6/EPW/src'
make: *** [Makefile:7: epw] Error 2

hlee
Posts: 294
Joined: Thu Aug 03, 2017 12:24 pm
Affiliation: The University of Texas at Austin

Re: Quantum ESPRESSO 6.4 and EPW 5.1

Post by hlee »

Dear Sylvester10:

First, I would like to kindly ask you in the future to post the question separately in the corresponding board instead of posting it as replies to the announcements.

Returning to your issue, as the error message says, for unknown reasons you can't download the Wannier90 code from https://codeload.github.com/wannier-dev ... .gz/v3.1.0 .

Sincerely,

H. Lee

qiaoqiao66
Posts: 12
Joined: Wed Nov 18, 2020 3:40 am
Affiliation: Beijing Normal University

Re: Quantum ESPRESSO 6.4 and EPW 5.1

Post by qiaoqiao66 »

Dear H. Lee,
I am trying to use the EPW 5.1 or 5.2 with QE version 6.4 or 6.5. I've managed to compile QE with EPW successfully (There were no errors reported during the installation), but when I run the epw.x, the program stopped and the following error appear in epw.out.

= BAD TERMINATION OF ONE OF YOUR APPLICATION PROCESSES
= PID 11747 RUNNING AT cu45
= EXIT CODE: 6
= CLEANING UP REMAINING PROCESSES
= YOU CAN IGNORE THE BELOW CLEANUP MESSAGES

Under the same cluster account, use the 6.3 version to run the test suite/epw examples and my calculation system can successfully finish calculate, but use the 6.4 version to run the test suite/epw examples, there will be running crashes. Besides, testing the examples in suite/epw with version 6.5 worked fine, but running my calculation system the run crashed with the same error. So it should not be the cause of insufficient memory.
This problem has puzzle me for a long, long time, and I am looking forward to your reply!

With kind regards,
Zhi Yuan

qiaoqiao66
Posts: 12
Joined: Wed Nov 18, 2020 3:40 am
Affiliation: Beijing Normal University

Re: Quantum ESPRESSO 6.4 and EPW 5.1

Post by qiaoqiao66 »

Dear H. Lee,
I am trying to use the EPW 5.1 or 5.2 with QE version 6.4 or 6.5. I've managed to compile QE with EPW successfully (There were no errors reported during the installation), but when I run the epw.x, the program stopped and the following error appear in epw.out.

= BAD TERMINATION OF ONE OF YOUR APPLICATION PROCESSES
= PID 11747 RUNNING AT cu45
= EXIT CODE: 6
= CLEANING UP REMAINING PROCESSES
= YOU CAN IGNORE THE BELOW CLEANUP MESSAGES

Under the same cluster account, use the 6.3 version to run the test suite/epw examples and my calculation system can successfully finish calculate, but use the 6.4 version to run the test suite/epw examples, there will be running crashes. Besides, testing the examples in suite/epw with version 6.5 worked fine, but running my calculation system the run crashed with the same error. So it should not be the cause of insufficient memory.
This problem has puzzle me for a long, long time, and I am looking forward to your reply!

With kind regards,
Zhi Yuan

hlee
Posts: 294
Joined: Thu Aug 03, 2017 12:24 pm
Affiliation: The University of Texas at Austin

Re: Quantum ESPRESSO 6.4 and EPW 5.1

Post by hlee »

Dear Zhi Yuan:
Dear Sylvester10:

First, I would like to kindly ask you in the future to post the question separately in the corresponding board instead of posting it as replies to the announcements.
As I already mentioned in the thread above of this post, you should post the question separately in the corresponding board instead of posting it as replies to the announcements.

Also I can't give you the clear answer to your question unless you provide with me enough information; I would suggest you to use the most recent version of EPW with QE and start from the scratch.

Sincerely,

H. Lee

Post Reply